Subject: Re: [PATCH 2/6] x86: remove memblock_find_dma_reserve()

From: Baoquan He <[email-masked]>
Date: Wed, 20 Mar 2024 15:52:52 +0800

On 03/19/24 at 05:49pm, Mike Rapoport wrote:
> Hi Baoquan,
> 
> On Mon, Mar 18, 2024 at 10:21:34PM +0800, Baoquan He wrote:
> > This is not needed any more.
> 
> I'd swap this and the first patch, so that the first patch would remove
> memblock_find_dma_reserve() and it's changelog will explain why it's not
> needed and then the second patch will simply drop unused set_dma_reserve()

Thanks, Mike.

My thought on the patch 1/2 splitting is:
patch 1 is removing all relevant codes in mm, including the usage of
dma_reserve in free_area_init_core() and exporting set_dma_reserve()
to any ARCH which want to subtract the dma_reserve from DMA zone.

Patch 2 purely remove the code in x86 ARCH about how to get dma_reserve.

Your suggestion is also good to me, I can rearrange the order and
repost.